com.independentsoft.exchange

## Class Account

- java.lang.Object
- - com.independentsoft.exchange.Account

-     public class Account
      extends java.lang.Object

  Specifies account settings for the user or contains error responses.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Account()` Initializes a new instance of the Account class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAction()` Gets information that is used to determine whether another Autodiscover request is required to return the user configuration information.
    `ExchangeProtocol` | `getExchangeProtocol()` Gets the specifications for connecting a client to the Client Access server.
    `ExchangeProxyProtocol` | `getExchangeProxyProtocol()` Gets protocol that is used to connect to the server is Exchange RPC over HTTP, using an RPC proxy server.
    `java.lang.String` | `getImagePath()` Gets the path of an image that is used to brand the configuration experience.
    `java.lang.String` | `getRedirectEmailAddress()` Gets the e-mail address that should be used for a subsequent Autodiscover request.
    `java.lang.String` | `getRedirectUrl()` Gets the URL of the computer that is running Microsoft Exchange Server that has the Client Access server role installed that should be used to obtain Autodiscover settings.
    `java.lang.String` | `getServiceHomeUrl()` Gets the URL of the home page of the Internet service provider (ISP).
    `java.lang.String` | `getType()` Gets the account type.
    `WebProtocol` | `getWebProtocol()` Gets the web protocol.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Account

          public Account()

      Initializes a new instance of the Account class.

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Gets the account type.
      Returns:
        the type

    - #### getAction

          public java.lang.String getAction()

      Gets information that is used to determine whether another Autodiscover request is required to return the user configuration information.
      Returns:
        the action

    - #### getRedirectUrl

          public java.lang.String getRedirectUrl()

      Gets the URL of the computer that is running Microsoft Exchange Server that has the Client Access server role installed that should be used to obtain Autodiscover settings.
      Returns:
        the redirect url

    - #### getRedirectEmailAddress

          public java.lang.String getRedirectEmailAddress()

      Gets the e-mail address that should be used for a subsequent Autodiscover request.
      Returns:
        the redirect email address

    - #### getImagePath

          public java.lang.String getImagePath()

      Gets the path of an image that is used to brand the configuration experience.
      Returns:
        the image path

    - #### getServiceHomeUrl

          public java.lang.String getServiceHomeUrl()

      Gets the URL of the home page of the Internet service provider (ISP).
      Returns:
        the service home url

    - #### getExchangeProtocol

          public ExchangeProtocol getExchangeProtocol()

      Gets the specifications for connecting a client to the Client Access server.
      Returns:
        the exchange protocol

    - #### getExchangeProxyProtocol

          public ExchangeProxyProtocol getExchangeProxyProtocol()

      Gets protocol that is used to connect to the server is Exchange RPC over HTTP, using an RPC proxy server.
      Returns:
        the exchange proxy protocol

    - #### getWebProtocol

          public WebProtocol getWebProtocol()

      Gets the web protocol.
      Returns:
        the web protocol